/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package acces_aux_donnes;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/**
 *
 * @author emile.lalorcey
 */
public class praticienSQL {
    private Connection connexionTest;
    private Statement stmt = 	null;
    private ResultSet result = 	null;
    
     public praticienSQL() {
        connexionTest = connexionSQL.getConnect("10.121.38.75","bdgsb","adminGSB","mdpGSB");
    }
     
      public String[] rechercherPraticien(String login, String mdp) {
        String[] praticienCherche = new String [2];
        try {
            stmt = connexionTest.createStatement();
            // Accès à la table 
            result = stmt.executeQuery("SELECT * FROM PRATICIENLOG WHERE id='"+login+
                    "' AND mdp='"+mdp + "';");
            if (result.next()) {   // Le praticien a été touvé
               praticienCherche[0] = result.getString(1);
               praticienCherche[1] = result.getString(2);
                
            } 
            result.close();
            stmt.close();
        } catch (SQLException ex) {
              System.out.println("SQLException : " + ex.getMessage());
              System.out.println("SQLState : " + ex.getSQLState());
              System.out.println("Code erreur : " + ex.getErrorCode());  
        }
         return praticienCherche;
        }
    
}
